function L = cmpndLikelihood(noise, mu, varsigma, y)

% CMPNDLIKELIHOOD Likelihood of data under compound noise model.
%
%	Description:
%	L = cmpndLikelihood(noise, mu, varsigma, y)
%

%	Copyright (c) 2006 Neil D. Lawrence
% 	cmpndLikelihood.m version 1.2




L = zeros(size(mu));
for i = 1:length(noise.comp)
  L(:, i) = noiseLikelihood(noise.comp{i},...
                mu(:, i), ...
                varsigma(:, i), ...
                y(:, i));
end