function [params, names] = gaussianNoiseExtractParam(noise)

% GAUSSIANNOISEEXTRACTPARAM Extract parameters from Gaussian noise model.
%
%	Description:
%	[params, names] = gaussianNoiseExtractParam(noise)
%

%	Copyright (c) 2006 Neil D. Lawrence
% 	gaussianNoiseExtractParam.m version 1.3


params = [noise.bias noise.sigma2];


if nargout > 1
  for i = 1:noise.numProcess
    names{i} = ['bias ' num2str(i)];
  end
  names{i+1} = ['sigma^2 ' num2str(i)];
end