function noise = gaussianNoiseParamInit(noise, y)

% GAUSSIANNOISEPARAMINIT Gaussian noise model's parameter initialisation.
%
%	Description:
%	noise = gaussianNoiseParamInit(noise, y)
%

%	Copyright (c) 2006 Neil D. Lawrence
% 	gaussianNoiseParamInit.m version 1.4


if nargin > 1
  noise.bias = mean(y);
  noise.numProcess = size(y, 2);
else 
  noise.bias = zeros(1, noise.numProcess);
end

noise.sigma2 = 1e-6;

noise.transforms.index = noise.numProcess+1;
noise.transforms.type = 'negLogLogit';
noise.nParams = 1 + noise.numProcess;

% Can handle missing values?
noise.missing = 0;

% Noise model leads to constant value of beta.
noise.spherical = 1;