function noise = mgaussianNoiseParamInit(noise, y)

% MGAUSSIANNOISEPARAMINIT Variable variance Gaussian noise model's parameter initialisation.
%
%	Description:
%	noise = mgaussianNoiseParamInit(noise, y)
%

%	Copyright (c) 2006 Neil D. Lawrence
% 	mgaussianNoiseParamInit.m version 1.3


if nargin > 1
  noise.numProcess = size(y, 2);
  noise.bias = zeros(1, noise.numProcess);
  for i = 1:size(y, 2)
    noise.bias(i) = mean(y(find(~isnan(y(:, i))), i));
  end
  noise.sigma2 = repmat(1e-6, 1, noise.numProcess);
else 
  noise.bias = zeros(1, noise.numProcess);
  noise.sigma2 = repmat(1e-6, 1, noise.numProcess);
end
noise.nParams = 2*noise.numProcess;

% Can handle missing values?
noise.missing = 1;

noise.transforms.index = [noise.numProcess+1:noise.nParams];
noise.transforms.type = 'exp';
