function L = noiseLogLikelihood(noise, mu, varsigma, y);

% NOISELOGLIKELIHOOD Return the log-likelihood under the noise model.
%
%	Description:
%	L = noiseLogLikelihood(noise, mu, varsigma, y);
%

%	Copyright (c) 2006 Neil D. Lawrence
% 	noiseLogLikelihood.m version 1.4


fhandle = str2func([noise.type 'LogLikelihood']);
L = fhandle(noise, mu, varsigma, y);


% check if there is a prior over parameters
if isfield(noise, 'priors')
  fhandle = str2func([noise.type 'NoiseExpandParams']);
  params = fhandle(noise);
  for i = 1:length(noise.priors)
    index = noise.priors(i).index;
    L = L + priorLogProb(noise.priors(i), params(index));
  end
end
